View Issue Details

IDProjectCategoryView StatusLast Update
0001382Main CAcert Websitepublic2015-10-23 10:57
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityalways
Status needs reviewResolutionopen 
Summary0001382: Missing name entries if organisation name contains special characters on Organisation overview
DescriptionAll names of an organisation containg special characters are not displayed on account/25.php
Additional InformationLine 66
<td class="DataTD"><?=htmlspecialchars($row['O'])?>, <?=htmlspecialchars($row['ST'])?> <?=htmlspecialchars($row['C'])?></td>
TagsNo tags attached.
Reviewed by
Test InstructionsCheck with an Org Assurer Account if all domains show valid entries in organisation overview (account/25.php) that corrospondent to the single entries. Only account with id 311 shows no entires,

Relationships

related to 0000657 needs workBenBE server cert issued with country field takes first two letters of country 

Activities

felixd

2015-05-05 20:28

updater   ~0005381

Fix is available here: https://github.com/yellowant/cacert-devel/tree/bug-1382

MartinGummi

2015-05-10 20:35

updater   ~0005388

Login with an OrgAssurer Account

List looks good

The Organisation with an umlaut (add by me at 2015-05-08) looks good

==> ok

Eva

2015-05-19 19:18

updater   ~0005395

When looking at the organisation list as an org assurer only one entry looks as if something is not displayed correctly (it only shows a ",").

I was told by someone with access to the database that this is exactly as it is based on what is written in the database for that organisation.

I added a new one with multiple umlauts (%&öüä€ Umlaut name .,-§%, Name DE) it is displayed corect.

==> OK

Issue History

Date Modified Username Field Change
2015-05-05 05:00 INOPIAE New Issue
2015-05-05 20:26 BenBE Project test.cacert.org => Main CAcert Website
2015-05-05 20:26 BenBE Category cacert1.it-sls.de => General
2015-05-05 20:28 felixd Note Added: 0005381
2015-05-05 20:28 felixd Assigned To => BenBE
2015-05-05 20:28 felixd Status new => fix available
2015-05-05 22:03 BenBE Status fix available => needs review & testing
2015-05-09 20:42 INOPIAE Test Instructions => Loom
2015-05-09 20:42 INOPIAE Category General =>
2015-05-09 20:44 INOPIAE Test Instructions Loom => Check if all domains show valid entries in organisation overview (account/25.php) that corrospondent to the single entries. Only account with id 311 shows no entires,
2015-05-10 20:26 INOPIAE Test Instructions Check if all domains show valid entries in organisation overview (account/25.php) that corrospondent to the single entries. Only account with id 311 shows no entires, => Check with an Org Assurer Account if all domains show valid entries in organisation overview (account/25.php) that corrospondent to the single entries. Only account with id 311 shows no entires,
2015-05-10 20:35 MartinGummi Note Added: 0005388
2015-05-19 19:18 Eva Note Added: 0005395
2015-05-19 21:05 felixd Status needs review & testing => needs review
2015-07-30 11:03 INOPIAE Description Updated View Revisions
2015-07-30 11:05 INOPIAE Relationship added related to 0000657